<html>
<head>
<title>OGRE: Ogre::BillboardChain::Element Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1BillboardChain.html">BillboardChain</a>::<a class="el" href="classOgre_1_1BillboardChain_1_1Element.html">Element</a></div>
<h1>Ogre::BillboardChain::Element Class Reference</h1><!-- doxytag: class="Ogre::BillboardChain::Element" -->Contains the data of an element of the <a class="el" href="classOgre_1_1BillboardChain.html" title="Allows the rendering of a chain of connected billboards.">BillboardChain</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1BillboardChain_1_1Element-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#68874dd0bbc8cae9ac036dfc45aeec4b">Element</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#6adcf21703362c7ed164b19441b83b3a">Element</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#8ba26812cafc456d1ffcdafba1edc4c7">position</a>, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#12ba93bd71664de7567e0f8e84cd3691">width</a>, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#dfcbe79d8b6bd60c8ea91c2c75f92f46">texCoord</a>, <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#ca293130c8752d30fc6a7bee3252fc36">colour</a>)</td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#8ba26812cafc456d1ffcdafba1edc4c7">position</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#12ba93bd71664de7567e0f8e84cd3691">width</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#dfcbe79d8b6bd60c8ea91c2c75f92f46">texCoord</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">U or V texture coord depending on options.  <a href="#dfcbe79d8b6bd60c8ea91c2c75f92f46"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#ca293130c8752d30fc6a7bee3252fc36">colour</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Contains the data of an element of the <a class="el" href="classOgre_1_1BillboardChain.html" title="Allows the rendering of a chain of connected billboards.">BillboardChain</a>. 
<p>Definition at line <a class="el" href="OgreBillboardChain_8h-source.html#l00077">77</a> of file <a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="68874dd0bbc8cae9ac036dfc45aeec4b"></a><!-- doxytag: member="Ogre::BillboardChain::Element::Element" ref="68874dd0bbc8cae9ac036dfc45aeec4b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::BillboardChain::Element::Element           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="6adcf21703362c7ed164b19441b83b3a"></a><!-- doxytag: member="Ogre::BillboardChain::Element::Element" ref="6adcf21703362c7ed164b19441b83b3a" args="(Vector3 position, Real width, Real texCoord, ColourValue colour)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::BillboardChain::Element::Element           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td>
          <td class="paramname"> <em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>texCoord</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&nbsp;</td>
          <td class="paramname"> <em>colour</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="8ba26812cafc456d1ffcdafba1edc4c7"></a><!-- doxytag: member="Ogre::BillboardChain::Element::position" ref="8ba26812cafc456d1ffcdafba1edc4c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#8ba26812cafc456d1ffcdafba1edc4c7">Ogre::BillboardChain::Element::position</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h-source.html#l00089">89</a> of file <a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="12ba93bd71664de7567e0f8e84cd3691"></a><!-- doxytag: member="Ogre::BillboardChain::Element::width" ref="12ba93bd71664de7567e0f8e84cd3691" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#12ba93bd71664de7567e0f8e84cd3691">Ogre::BillboardChain::Element::width</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h-source.html#l00090">90</a> of file <a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dfcbe79d8b6bd60c8ea91c2c75f92f46"></a><!-- doxytag: member="Ogre::BillboardChain::Element::texCoord" ref="dfcbe79d8b6bd60c8ea91c2c75f92f46" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#dfcbe79d8b6bd60c8ea91c2c75f92f46">Ogre::BillboardChain::Element::texCoord</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
U or V texture coord depending on options. 
<p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h-source.html#l00092">92</a> of file <a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ca293130c8752d30fc6a7bee3252fc36"></a><!-- doxytag: member="Ogre::BillboardChain::Element::colour" ref="ca293130c8752d30fc6a7bee3252fc36" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1BillboardChain_1_1Element.html#ca293130c8752d30fc6a7bee3252fc36">Ogre::BillboardChain::Element::colour</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h-source.html#l00093">93</a> of file <a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:10 2008
</p>
</body>
</html>
